Package org.pushingpixels.substance.swingx

# Class SubstanceTaskPaneUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.jdesktop.swingx.plaf.TaskPaneUI
org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI
org.pushingpixels.substance.swingx.SubstanceTaskPaneUI

All Implemented Interfaces:
  `org.pushingpixels.substance.internal.animation.TransitionAwareUI`

public class SubstanceTaskPaneUI extends org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI implements org.pushingpixels.substance.internal.animation.TransitionAwareUI
Substance-consistent UI delegate for `JXTaskPane`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`SubstanceTaskPaneUI.SubstancePaneBorder`
Pane border for task pane.

## Nested classes/interfaces inherited from class org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI

`org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI.ChevronIcon, org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI.ContentPaneBorder, org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI.PaneBorder`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.pushingpixels.substance.internal.animation.StateTransitionTracker`
`stateTransitionTracker`
Listener for transition animations.
`protected ButtonModel`
`taskPaneModel`
Surrogate model for the fade effects on the title pane border.

### Fields inherited from class org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI

`group, mouseListener, mouseOver, propertyListener, roundHeight, titleHeight`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceTaskPaneUI(org.jdesktop.swingx.JXTaskPane taskPane)`
Creates a new UI delegate.

## Method Summary

Modifier and Type
Method
Description
`protected Border`
`createContentPaneBorder()`
`protected Border`
`createPaneBorder()`
`static ComponentUI`
`createUI(JComponent comp)`
`protected int`
`getTitleHeight(Component c)`
`org.pushingpixels.substance.internal.animation.StateTransitionTracker`
`getTransitionTracker()`
`protected void`
`installDefaults()`
`protected void`
`installListeners()`
`boolean`
`isInside(MouseEvent me)`
`void`
`paint(Graphics g, JComponent c)`
`protected void`
`uninstallListeners()`
`void`
`uninstallUI(JComponent c)`

### Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI

`configure, createAction, createMouseInputListener, createPropertyListener, ensureVisible, getPreferredSize, getRoundHeight, installKeyboardActions, installUI, isInBorder`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### stateTransitionTracker

protected org.pushingpixels.substance.internal.animation.StateTransitionTracker stateTransitionTracker
Listener for transition animations.

### taskPaneModel

protected ButtonModel taskPaneModel
Surrogate model for the fade effects on the title pane border.

## Constructor Details

### SubstanceTaskPaneUI

public SubstanceTaskPaneUI(org.jdesktop.swingx.JXTaskPane taskPane)
Creates a new UI delegate.

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installListeners

protected void installListeners()

Overrides:
  `installListeners` in class `org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI`

### uninstallListeners

protected void uninstallListeners()

Overrides:
  `uninstallListeners` in class `org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI`

### installDefaults

protected void installDefaults()

Overrides:
  `installDefaults` in class `org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI`

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI`

### createPaneBorder

protected Border createPaneBorder()

Overrides:
  `createPaneBorder` in class `org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI`

### createContentPaneBorder

protected Border createContentPaneBorder()

Overrides:
  `createContentPaneBorder` in class `org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI`

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `ComponentUI`

### isInside

public boolean isInside(MouseEvent me)

Specified by:
  `isInside` in interface `org.pushingpixels.substance.internal.animation.TransitionAwareUI`

### getTransitionTracker

public org.pushingpixels.substance.internal.animation.StateTransitionTracker getTransitionTracker()

Specified by:
  `getTransitionTracker` in interface `org.pushingpixels.substance.internal.animation.TransitionAwareUI`

### getTitleHeight

protected int getTitleHeight(Component c)

Overrides:
  `getTitleHeight` in class `org.jdesktop.swingx.plaf.basic.BasicTaskPaneUI`